NamedDestination (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.intermediate.extensions

## Class NamedDestination

- java.lang.Object
- - org.apache.fop.render.intermediate.extensions.NamedDestination

-     public class NamedDestination
      extends Object

  This class is a named destination element for use in the intermediate format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedDestination(String name, AbstractAction action)` Creates a new named destination.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractAction` | `getAction()` Returns the action performed when the destination is selected.
    `String` | `getName()` Returns the destination's name.
    `void` | `setAction(AbstractAction action)` Sets the action performed when the destination is selected.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamedDestination

          public NamedDestination(String name,
                                  AbstractAction action)

      Creates a new named destination.
      Parameters:
        `name` - the destination's name
        `action` - the action performed when the destination is selected

  - ### Method Detail

    - #### getName

          public String getName()

      Returns the destination's name.
      Returns:
        the name

    - #### getAction

          public AbstractAction getAction()

      Returns the action performed when the destination is selected.
      Returns:
        the action

    - #### setAction

          public void setAction(AbstractAction action)

      Sets the action performed when the destination is selected.
      Parameters:
        `action` - the action

Copyright © 2025 Apache Software Foundation. All rights reserved.